import { reactive, ref } from "vue"
import request from '@/utils/request'

export default () => {
  const loading = ref(false)
  const list = ref([])
  const page = reactive({})

  const getList = data => {
    loading.value = true
    request({
      loadingId: 'room.list',
      url: '/room/list',
      data: {
        pageNo: 1,
        pageSize: 10,
        ...data,
      }
    }).then(res => {
      const { pageNo, pageSize, endRow, result } = res || {}
      Object.assign(page, {pageNo, pageSize, endRow})
      list.value = pageNo <= 1 ? result : list.value.concat(list.value)
      loading.value = false
    }).catch(e => {
      console.error(e)
      loading.value = false
    })
  }

  return {list, page, getList, loading}
}
